%global momorel 1
%global srcver 0.3
%global artsver 1.5.7
%global artsrel 1m
%global qtver 3.3.7
%global kdever 3.5.7
%global kdelibsrel 1m
%global qtdir %{_libdir}/qt3
%global kdedir /usr
%global enable_gcc_check_and_hidden_visibility 0
%global md5sum_src0 0cc2f2054f7906780c8580560f04b0ff

Summary: Development and simulation of microcontrollers and electronic circuits
Name: ktechlab
Version: 0.3.6
Release: %{momorel}m%{?dist}
License: GPL
URL: http://ktechlab.org/
Group: Applications/Engineering
%NoSource 0 http://dl.sourceforge.net/sourceforge/%{name}/%{name}-%{version}.tar.bz2 %{md5sum_src0}
Patch0: %{name}-%{srcver}-desktop.patch
# patches from Fedora
Patch10: %{name}-%{srcver}-pic.patch
Patch11: %{name}-%{srcver}-ppc-includes.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Requires: kdelibs >= %{kdever}-%{kdelibsrel}
Requires: gputils
BuildPreReq: qt-devel >= %{qtver}
BuildPreReq: arts-devel >= %{artsver}-%{artsrel}
BuildPreReq: kdelibs-devel >= %{kdever}-%{kdelibsrel}
BuildPreReq: desktop-file-utils
BuildPreReq: gettext
BuildPreReq: gpsim-devel
BuildPreReq: readline-devel

%description
KTechlab is a development and simulation environment for microcontrollers
and electronic circuits, distributed under the GNU General Public License.

KTechlab consists of several well-integrated components:
A circuit simulator, capable of simulating logic, linear devices and some
nonlinear devices.
* Integration with gpsim, allowing PICs to be simulated in circuit.
* A schematic editor, which provides a rich real-time feedback of the
simulation.
* A flowchart editor, allowing PIC programs to be constructed visually.
* MicroBASIC; a BASIC-like compiler for PICs, written as a companion program
to KTechlab.
* An embedded Kate part, which provides a powerful editor for PIC programs.
* Integrated assembler and disassembler via gpasm and gpdasm.

%prep
%setup -q -n %{name}-%{srcver}

%patch0 -p1 -b .desktop~

# Fedora patches
%patch10 -p0 -b .pic14.h
%ifarch ppc
%patch11 -p1 -b .ppc-includes
%endif

%build
export QTDIR=%{qtdir} KDEDIR=%{kdedir} QTLIB=%{qtdir}/lib

CFLAGS="%{optflags}" \
CXXFLAGS="%{optflags}" \
./configure \
	--prefix=%{_prefix} \
	--libdir=%{_libdir} \
	--mandir=%{_mandir} \
	--with-qt-libraries=%{qtdir}/lib \
	--enable-new-ldflags \
%if %{enable_gcc_check_and_hidden_visibility}
	--enable-gcc-hidden-visibility \
%endif
	--disable-debug \
	--disable-warnings \
	--disable-rpath

make %{?_smp_mflags}

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

# GNOME desktop beautification (requires "Icon=name.png" fix in setup section)
mkdir -p %{buildroot}%{_datadir}/pixmaps
ln -s ../icons/hicolor/48x48/apps/ktechlab.png %{buildroot}%{_datadir}/pixmaps/ktechlab.png

# install desktop file
desktop-file-install --vendor= --delete-original \
  --dir %{buildroot}%{_datadir}/applications/kde \
  %{buildroot}%{_datadir}/applnk/Development/ktechlab.desktop

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog INSTALL TODO
%{_bindir}/ktechlab
%{_bindir}/microbe
%{_datadir}/applications/kde/ktechlab.desktop
%{_datadir}/apps/katepart/syntax/microbe.xml
%{_datadir}/apps/ktechlab
%{_datadir}/config.kcfg/ktechlab.kcfg
%{_datadir}/doc/HTML/*/ktechlab
%{_datadir}/icons/*/*/*/*.png
%{_datadir}/mimelnk/application/x-*.desktop
%{_datadir}/pixmaps/ktechlab.png

%changelog
* Tue Jul 17 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.3.6-1m)
- change version to 0.3.6

* Sat Mar 31 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.3-1m)
- initial package for Momonga Linux
- 2 patches are imported from Fedora
